Bug 479932 - (CVE-2009-0028) CVE-2009-0028 Linux kernel minor signal handling vulnerability
CVE-2009-0028 Linux kernel minor signal handling vulnerability
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20090225,impact=moderate,sourc...
: Security
Depends On: 479957 479958 479959 479960 479961 479962 479963 479964
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 01:44 EST by Eugene Teo (Security Response)
Modified: 2016-10-04 00:32 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo program #2 (862 bytes, text/x-csrc)
2009-01-14 04:27 EST, Vitaly Mayatskikh
no flags Details
clone ->exit_signal with CLONE_PARENT (467 bytes, patch)
2009-01-16 19:34 EST, Oleg Nesterov
no flags Details | Diff
Upstream patch (1.93 KB, patch)
2009-03-10 20:31 EDT, Eugene Teo (Security Response)
no flags Details | Diff

  None (edit)
Description Eugene Teo (Security Response) 2009-01-14 01:44:37 EST
From Chris Evans:

It's a relatively minor signal issue where a child can send its parent process an arbitrary signal, even if the parent has a totally separate real and effective user id. This could be a nuisance in the case where long-running root daemons spawn direct child processes owned by untrusted users [*]. There may even be worse consequences if privileged processes have weak signal handling code for signals not normally triggerable by untrusted users.
Comment 4 Eugene Teo (Security Response) 2009-01-14 03:57:29 EST
man clone:
The low byte of flags contains the number  of  the  termination  signal sent to the parent when the child dies.  If this signal is specified as anything other than SIGCHLD, then the parent process must  specify  the __WALL or __WCLONE options when waiting for the child with wait(2).  If no signal is specified, then the parent process is  not  signaled  when the child terminates.
Comment 30 Eugene Teo (Security Response) 2009-02-25 02:38:16 EST
It's public now:
http://scarybeastsecurity.blogspot.com/2009/02/linux-kernel-minor-signal-vulnerability.html
Comment 31 Eugene Teo (Security Response) 2009-02-25 02:43:33 EST
http://scary.beasts.org/security/CESA-2009-002.html
Comment 38 errata-xmlrpc 2009-04-01 04:30:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0326 https://rhn.redhat.com/errata/RHSA-2009-0326.html
Comment 41 errata-xmlrpc 2009-04-29 05:28:36 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2009:0451 https://rhn.redhat.com/errata/RHSA-2009-0451.html
Comment 42 errata-xmlrpc 2009-04-30 17:25:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0459 https://rhn.redhat.com/errata/RHSA-2009-0459.html

Note You need to log in before you can comment on or make changes to this bug.